Go to main content

Textpattern CMS support forum

You are not logged in. Register | Login | Help

#25 2016-08-01 17:01:07

johnstephens
Plugin Author
From: Woodbridge, VA
Registered: 2008-06-01
Posts: 997
Website

Re: 4.6-dev ready for using?

I’ll be upgrading some sites on my local development server this week using the Beta 2—mainly to validate that nothing will go wrong when 4.6 is released in stable form.

I’ve already made a fresh install using the beta and the admin theme revisions are glorious on first pass. Great work, @philwareham!

I’m curious, is there a listing or thread somewhere keeping track of any-and-all plugins that do not work with 4.6?

Offline

#26 2016-08-01 20:58:41

uli
Moderator
From: Cologne
Registered: 2006-08-15
Posts: 4,259

Re: 4.6-dev ready for using?

johnstephens wrote #300461:

I’m curious, is there a listing or thread somewhere keeping track of any-and-all plugins that do not work with 4.6?

Yup, this one, including some fixes. Completeness can’t be guaranteed, though. (Please add your findings.)


In bad weather I never leave home without wet_plugout, smd_where_used and adi_form_links

Offline

#27 2016-08-01 21:08:13

johnstephens
Plugin Author
From: Woodbridge, VA
Registered: 2008-06-01
Posts: 997
Website

Re: 4.6-dev ready for using?

Thank you, uli!

BTW, I already found a bug—not in the Beta, but in my templates, exposed by the Beta.

Previously, I accidentally had one instance of <txp:article id="{n}"/>, where {n} is an article ID. Sharp-minded Textpatrons will know that the correct tag to use when calling an article by ID is article_custom, not article.

For some reason, 4.5.7 and earlier were overly permissive, and interpreted my mistake with uncanny insight into my mind’s convolutions (and displaying the right article). 4.6 correctly reports an error instead. Easily fixed!

Offline

#28 2016-08-10 14:52:06

MarcoK
Plugin Author
From: Como
Registered: 2006-10-17
Posts: 248
Website

Re: 4.6-dev ready for using?

I have installed 4.6 on Ubuntu 16.04 width apache 2.4.18 and php 7 and i obtain this error

User_Error "Truncated incorrect date value: '0000-00-00'"
in /media/marco/Terabyte/www/txp/textpattern/lib/txplib_db.php at line 405.
textpattern/lib/txplib_misc.php:1677 adminErrorHandler()
updateErrorHandler()
textpattern/lib/txplib_db.php:405 trigger_error()
textpattern/lib/txplib_db.php:433 safe_query()
textpattern/update/_to_4.6.0.php:254 safe_delete()
textpattern/update/_update.php:84 include()
textpattern/index.php:180 include()

Last edited by MarcoK (2016-08-10 14:52:19)

Offline

#29 2016-08-10 15:00:05

Bloke
Developer
From: Leeds, UK
Registered: 2006-01-29
Posts: 10,538
Website GitHub

Re: 4.6-dev ready for using?

MarcoK wrote #300591:

User_Error "Truncated incorrect date value: '0000-00-00'"...

Apologies, see:

Would love to find a fix. If you can help out with testing MySQL 5.7 using the information found in the GitHub issue (last link above) by hacking the _to_4.6.0.php file and seeing if it works with the given fixes, it’d be massively appreciated.


The smd plugin menagerie — for when you need one more gribble of power from Textpattern. Bleeding-edge code available on GitHub.

Txp Builders – finely-crafted code, design and Txp

Offline

Board footer

Powered by FluxBB